# eric7.Plugins.VcsPlugins.vcsMercurial.HgImportDialog

Module implementing a dialog to enter data for the Mercurial import command.

### Global Attributes

None

### Classes

HgImportDialog | Class implementing a dialog to enter data for the Mercurial import command.

### Functions

None

## HgImportDialog

Class implementing a dialog to enter data for the Mercurial import command.

### Derived from

QDialog, Ui_HgImportDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgImportDialog | Constructor
__updateOK | Private slot to update the OK button.
getParameters | Public method to retrieve the import data.
on_patchFilePicker_textChanged | Private slot to react on changes of the patch file edit.

### Static Methods

None

#### HgImportDialog (Constructor)

HgImportDialog(vcs, parent=None)

Constructor

vcs (Hg)
  reference to the VCS object
parent (QWidget)
  reference to the parent widget

#### HgImportDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgImportDialog.getParameters

getParameters()

Public method to retrieve the import data.

Return:
  tuple naming the patch file, a flag indicating to not commit, a commit message, a commit date, a commit user, a flag indicating to commit with the secret phase, a strip count and a flag indicating to enforce the import

Return Type:
  tuple of (str, bool, str, str, str, bool, int, bool)

#### HgImportDialog.on_patchFilePicker_textChanged

on_patchFilePicker_textChanged(txt)

Private slot to react on changes of the patch file edit.

txt
  contents of the line edit (string)

Up